Debian Bug report logs - #572154
ssmtp: fails to reinstall

version graph

Package: ssmtp; Maintainer for ssmtp is Anibal Monsalve Salazar <anibal@debian.org>; Source for ssmtp is src:ssmtp.

Reported by: Sune Vuorela <reportbug@pusling.com>

Date: Mon, 1 Mar 2010 22:51:01 UTC

Severity: serious

Tags: patch

Found in version ssmtp/2.64-3

Fixed in version ssmtp/2.64-4

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#572154; Package ssmtp. (Mon, 01 Mar 2010 22:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <reportbug@pusling.com>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 01 Mar 2010 22:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <reportbug@pusling.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ssmtp: fails to reinstall
Date: Mon, 01 Mar 2010 23:47:43 +0100
Package: ssmtp
Version: 2.64-3
Severity: serious
Justification: .


Hi

I did apt-get --reinstall install ssmtp and it failed as follows:

0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 11 not upgraded.
Need to get 0B/53.9kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Preconfiguring packages ...
(Reading database ... 69662 files and directories currently installed.)
Preparing to replace ssmtp 2.64-3 (using .../ssmtp_2.64-3_amd64.deb) ...
Unpacking replacement ssmtp ...
Processing triggers for man-db ...
Setting up ssmtp (2.64-3) ...
dpkg-statoverrides: An override for '/usr/sbin/ssmtp' already exists, aborting.
dpkg: error processing ssmtp (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 ssmtp
E: Sub-process /usr/bin/dpkg returned an error code (1)

Same issues happens with apt-get install ssmtp ; apt-get remove ssmtp ; apt-get install ssmtp

/Sune


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/1 CPU core)
Locale: LANG=en_DK.ISO-8859-15, LC_CTYPE=en_DK.ISO-8859-15 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#572154; Package ssmtp. (Thu, 04 Mar 2010 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Dale A. Harris" <dah2016@med.cornell.edu>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 04 Mar 2010 20:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 572154@bugs.debian.org (full text, mbox):

From: "Dale A. Harris" <dah2016@med.cornell.edu>
To: Debian Bug Tracking System <572154@bugs.debian.org>
Subject: ssmtp: same error with dpkg-reconfigure
Date: Thu, 04 Mar 2010 14:37:36 -0500
Package: ssmtp
Version: 2.64-3
Severity: normal


I tried to run dpkg-reconfigure on ssmtp and got the same error.  So you
can't currently configure ssmtp with standard tools. 


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ssmtp depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgnutls26                   2.8.5-2    the GNU TLS library - runtime libr

ssmtp recommends no packages.

ssmtp suggests no packages.

-- debconf information:
  ssmtp/overwriteconfig: true
  ssmtp/mailhub: mail
  ssmtp/rewritedomain:
  ssmtp/port: 25
  ssmtp/mailname:
  ssmtp/fromoverride: false
  ssmtp/hostname:
  ssmtp/root: postmaster




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#572154; Package ssmtp. (Sun, 14 Mar 2010 09:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Sun, 14 Mar 2010 09:24:07 GMT) Full text and rfc822 format available.

Message #15 received at 572154@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: 572154@bugs.debian.org
Subject: re: ssmtp: fails to reinstall
Date: Sun, 14 Mar 2010 16:22:43 +0700
[Message part 1 (text/plain, inline)]
tags 572154 +patch

Hi Anibal,

Just check statoverride database before updating it.

Patch attached from Thailand Mini-DebCamp 2010 BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Cheers,

-Andrew
[statoverride.patch (text/x-patch, inline)]
diff -Nru ssmtp-2.64/debian/postinst ssmtp-2.64/debian/postinst
--- ssmtp-2.64/debian/postinst	2010-02-09 13:40:43.000000000 +0700
+++ ssmtp-2.64/debian/postinst	2010-03-14 16:03:18.000000000 +0700
@@ -53,6 +53,7 @@
 	touch /etc/ssmtp/ssmtp.conf.tmp
 	chmod 640 /etc/ssmtp/ssmtp.conf.tmp
 	chown root:mail /etc/ssmtp/ssmtp.conf.tmp
+	dpkg-statoverride --list /usr/sbin/ssmtp >/dev/null || \
 	dpkg-statoverride --update --add root mail 2755 /usr/sbin/ssmtp
 
 	sed "s/^root=.*/root=$root/;s/^mailhub=.*/mailhub=$mailhub/;s/^rewriteDomain=.*/rewriteDomain=$rewritedomain/;s/^hostname=.*/hostname=$hostname/;s/^FromLineOverride=.*/FromLineOverride=$FromOverride/;s/^#FromLineOverride=.*/FromLineOverride=$FromOverride/" /etc/ssmtp/ssmtp.conf > /etc/ssmtp/ssmtp.conf.tmp
@@ -61,6 +62,7 @@
 	touch /etc/ssmtp/ssmtp.conf
 	chmod 640 /etc/ssmtp/ssmtp.conf
 	chown root:mail /etc/ssmtp/ssmtp.conf
+	dpkg-statoverride --list /usr/sbin/ssmtp >/dev/null || \
 	dpkg-statoverride --update --add root mail 2755 /usr/sbin/ssmtp
 
 	exec 1>/etc/ssmtp/ssmtp.conf
diff -Nru ssmtp-2.64/debian/postrm ssmtp-2.64/debian/postrm
--- ssmtp-2.64/debian/postrm	2009-07-07 09:30:45.000000000 +0700
+++ ssmtp-2.64/debian/postrm	2010-03-14 16:08:03.000000000 +0700
@@ -2,6 +2,7 @@
 
 set -e
 
+
 if test "$1" = "purge"
 then
 	if test -e /usr/share/debconf/confmodule
@@ -20,6 +21,9 @@
 	then
 		rm -f /usr/doc/ssmtp 2>/dev/null || true
 	fi
+	dpkg-statoverride --list /usr/sbin/ssmtp >/dev/null && \
+	dpkg-statoverride --remove /usr/sbin/ssmtp
+
 fi
 
 # Program End

Added tag(s) patch. Request was from Andrew Lee (李健秋) <ajqlee@debian.org> to control@bugs.debian.org. (Sun, 14 Mar 2010 09:45:04 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Thu, 08 Apr 2010 07:48:39 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <reportbug@pusling.com>:
Bug acknowledged by developer. (Thu, 08 Apr 2010 07:48:39 GMT) Full text and rfc822 format available.

Message #22 received at 572154-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 572154-close@bugs.debian.org
Subject: Bug#572154: fixed in ssmtp 2.64-4
Date: Thu, 08 Apr 2010 07:32:09 +0000
Source: ssmtp
Source-Version: 2.64-4

We believe that the bug you reported is fixed in the latest version of
ssmtp, which is due to be installed in the Debian FTP archive:

ssmtp_2.64-4.debian.tar.bz2
  to main/s/ssmtp/ssmtp_2.64-4.debian.tar.bz2
ssmtp_2.64-4.dsc
  to main/s/ssmtp/ssmtp_2.64-4.dsc
ssmtp_2.64-4_amd64.deb
  to main/s/ssmtp/ssmtp_2.64-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572154@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated ssmtp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 08 Apr 2010 16:17:50 +1000
Source: ssmtp
Binary: ssmtp
Architecture: source amd64
Version: 2.64-4
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 ssmtp      - extremely simple MTA to get mail off the system to a mail hub
Closes: 557948 559900 560397 569003 569654 570971 572154 576535
Changes: 
 ssmtp (2.64-4) unstable; urgency=low
 .
   * Set back permissions as before 2.64-1
     Closes: 570971, 572154, 559900, 557948, 560397
   * Fix pending l10n issues. Debconf translations:
     - Vietnamese (Clytie Siddall). Closes: 569003, 569654
     - Brazilian Portuguese (Jef Lui). Closes: 576535
Checksums-Sha1: 
 04601ef74065fabd3af37cbcae839eba57c7cb21 1769 ssmtp_2.64-4.dsc
 d9a4da995141ce97a07957791f4ce2d428de4e3b 33966 ssmtp_2.64-4.debian.tar.bz2
 b1da50572e774e7c251ada6926ad47061ac3a082 54832 ssmtp_2.64-4_amd64.deb
Checksums-Sha256: 
 73762393f65adf8a633a3aec80bcc830e58c6ab2aad5be52ea002d83592c1bd2 1769 ssmtp_2.64-4.dsc
 b6053112201b11ce31d6ae3ce00be63026bb656a74586a6fec522ed7c5723cf8 33966 ssmtp_2.64-4.debian.tar.bz2
 d15ab9e26f9e41d695c25668317355681e9f4326b208832b9947f0e4df36eb76 54832 ssmtp_2.64-4_amd64.deb
Files: 
 7df20255a033ed85e505f9c273dcd5ce 1769 mail extra ssmtp_2.64-4.dsc
 abf91cfabaf8142e2642532dffdfa88b 33966 mail extra ssmtp_2.64-4.debian.tar.bz2
 d144125e8fd52394bf01e693b30b2d4a 54832 mail extra ssmtp_2.64-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJLvYMkAAoJEHxWrP6UeJfYPkoQAJJD/esWghuhzd3IabYLWsvt
KoDNbe8Vb0p5cvxYTRrqlflZmJHKiGU3YyQ8lXsiafjtUHalFxErJUcB+O2AJXJU
jfrvVwn84O1ec3Uv/eV/eMTkStrJC9wxGuRI0mXVWMn6mo+fvwi7/rko/lrTsHym
FA10cIEZUH6zw5uEQZ6/oHFenuRDHdTv/GcX2UxeOGnNcK7h0lnm1OEpnSAeoT8I
jfzPkMTeRm9mxWdKT/oYcEzoNj4w9KgqxbG401GbKvBc1l7tn0phwkZhF4mANgHq
Y3y28GRbuY9JVqvmSJrG/23AKytYcbQ1oqYAh/GI9SEdhtD/xBQwmVy2KleBZovg
3hBvWCP3ua9qLR+BKPNjtw8gDXpTRD7iI9qgjalyRpbkDaIhK6xlwnZvX6xMnbww
wQR/bA2koM9ohuDHzWLRVqdWw/cFTiwIMR2aZXBQ8/i5n6zcorw7Je6Fz012tX/y
OiYpizBpKOgKWLyvl+p5wTgCLo5DCvuslpGNgA/kW2NyeUANBIU/lay7a62QyPF7
wPg2lSp63F5ayodxS1k/U15mnb8slY73ABmOnvYnBNw1MnSSZkSMprKXXlyfXX4c
2T1ngrNrqm1UEY4P9eOytFNF0iYd2+wy8yNRoknCurUsA1y67iZkAU2GZ+Np6sU2
ALm7afl0IbLgIkJ7vkiq
=dRHv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 May 2010 07:36:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:22:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.